PayrollConfig
Read a payroll configuration
GET
/
payrollconfig
/
{payrollConfigId}
Read a payroll configuration
curl --request GET \
--url https://api.sandbox.flowpayroll.ai/v1/payrollconfig/{payrollConfigId} \
--header 'X-Auth-Token: <api-key>'{
"message": {
"text": "<string>",
"token": "<string>",
"tokenArguments": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"content": {
"data": {
"name": "<string>",
"description": "<string>",
"id": "<string>",
"items": [
{
"name": "<string>",
"description": "<string>",
"unitName": "<string>",
"units": 123,
"payRate": 123,
"taxType": "<string>",
"payType": "<string>",
"billingType": "<string>",
"id": "<string>",
"chargeRate": 123
}
],
"tags": [
{
"name": "FullTime",
"group": "EmploymentType",
"value": "FullTime"
}
],
"paymentDateConfig": {
"dayOfMonth": 123,
"weekOfMonth": 123,
"month": 123,
"isWorkingDay": true,
"customRuleParams": "<string>",
"whichWeekInPeriod": 123
},
"paymentPeriodConfig": {
"startingDayOfMonth": 1,
"startingDayOfWeek": "Monday",
"startingDayOfWeekOffSet": 0
},
"processZeroGrossPayslips": false,
"includeZeroGrossPayslipsInFps": true,
"createdBy": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"organisationId": "<string>"
},
"metadata": {
"dateFormat": "yyyy-MM-dd",
"dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
"paginationToken": "<string>"
}
},
"validationIssues": [
{
"field": "<string>",
"reason": "<string>",
"reasonToken": "<string>",
"reasonTokenArguments": [
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"messageToken": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Access token obtained from OAuth2 client credentials flow
Path Parameters
Was this page helpful?
⌘I
Read a payroll configuration
curl --request GET \
--url https://api.sandbox.flowpayroll.ai/v1/payrollconfig/{payrollConfigId} \
--header 'X-Auth-Token: <api-key>'{
"message": {
"text": "<string>",
"token": "<string>",
"tokenArguments": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"content": {
"data": {
"name": "<string>",
"description": "<string>",
"id": "<string>",
"items": [
{
"name": "<string>",
"description": "<string>",
"unitName": "<string>",
"units": 123,
"payRate": 123,
"taxType": "<string>",
"payType": "<string>",
"billingType": "<string>",
"id": "<string>",
"chargeRate": 123
}
],
"tags": [
{
"name": "FullTime",
"group": "EmploymentType",
"value": "FullTime"
}
],
"paymentDateConfig": {
"dayOfMonth": 123,
"weekOfMonth": 123,
"month": 123,
"isWorkingDay": true,
"customRuleParams": "<string>",
"whichWeekInPeriod": 123
},
"paymentPeriodConfig": {
"startingDayOfMonth": 1,
"startingDayOfWeek": "Monday",
"startingDayOfWeekOffSet": 0
},
"processZeroGrossPayslips": false,
"includeZeroGrossPayslipsInFps": true,
"createdBy": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"organisationId": "<string>"
},
"metadata": {
"dateFormat": "yyyy-MM-dd",
"dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
"paginationToken": "<string>"
}
},
"validationIssues": [
{
"field": "<string>",
"reason": "<string>",
"reasonToken": "<string>",
"reasonTokenArguments": [
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"messageToken": "<string>"
}